@import "solidify-frontend/lib/core/components/presentationals/abstract-form/abstract-form.presentational";
@import "src/sass/abstracts/abstracts";

:host {
  display: grid;
  grid-template-columns: 2fr 1fr;
  grid-gap: 20px;

  @include respond-to-breakpoint('md') {
    grid-template-columns: 1fr minmax(130px, 300px);
  }

  @include respond-to-smaller-than-breakpoint('md') {
    grid-template-columns: 1fr;
  }

  .archives {
    border-right: 1px solid $extra-light-grey;
    padding-right: 20px;

    @include respond-to-smaller-than-breakpoint('md') {
      order: 1;
      border-right: none;
      padding-right: 0;
    }

    > * {
      margin-bottom: 20px;

      @include respond-to-breakpoint('md') {
        padding: 5px;

        ::ng-deep {
          > .grid {
            grid-gap: 10px;
          }
        }
      }
    }
  }

  .sidebar {
    @include respond-to-smaller-than-breakpoint('md') {
      order: 0;
    }

    display: grid;
    grid-template-rows: max-content max-content max-content max-content max-content;

    .sidebar-title {
      color: $light-grey;
      font-size: 18px;
    }

    .status {
      display: grid;
      align-items: center;
      grid-template-columns: min-content max-content;
      grid-gap: 10px;
      padding-bottom: 20px;

      &.is-ready {
        color: $green-sweet;
      }

      &.is-in-error {
        color: $red;
      }

      &.is-in-progress {
        color: $warning;

        .icon {
          transition-property: transform;
          transition-duration: 1s;
          animation-name: rotate;
          animation-duration: 2s;
          animation-iteration-count: infinite;
          animation-timing-function: linear;

          @keyframes rotate {
            from {
              transform: rotate(0deg);
            }
            to {
              transform: rotate(360deg);
            }
          }
        }
      }
    }

    .form {
      .name,
      .dissemination {
        width: 100%;
      }

      .checkbox-wrapper {
        margin-bottom: 20px;
      }
    }

    .size {
      display: grid;
      grid-template-columns: max-content max-content;
      align-items: center;
      grid-gap: 10px;
      padding-bottom: 20px;
    }

    .access-controlled {
      .title {
        color: $red;
        display: grid;
        grid-template-columns: max-content max-content;
        align-items: center;
        gap: 10px;
        font-weight: bold;
        margin-bottom: 0;
      }

      .text {
        color: $light-grey;
        line-height: 25px;
      }
    }

    .button-wrapper {
      padding-top: 40px;
      display: grid;
      grid-template-columns: min-content min-content;
      grid-gap: 10px;
      justify-content: center;

      @include respond-to-breakpoint('md') {
        grid-template-columns: 1fr;
      }
    }
  }
}

@include isInDarkMode {
  .archives {
    border-right-color: $dark-mode-line;
  }
}
